Name:       gssntlmssp
Version:    0.7.0
Release:    9
Summary:    The mechanism of GSSAPI NTLMSSP
License:    LGPLv3+
URL:        https://pagure.io/gssntlmssp
Source0:    https://pagure.io/%{name}/archive/v{version}/%{name}-v%{version}.tar.gz
Patch01:    0001-Add-compatibility-with-OpenSSL-1.1.0.patch

Requires:   krb5-libs >= 1.12.1-9

BuildRequires: autoconf automake libtool m4 libxslt libxml2 docbook-style-xsl doxygen gettext-devel
BuildRequires: pkgconfig krb5-devel >= 1.11.2 libunistring-devel openssl-devel pkgconfig(wbclient)

%description
Implementing the GSSAPI mechanism of NTLMSSP.

%package devel
Summary: The development header of GSSAPI NTLMSSP
License: LGPLv3+

%description devel
Add header file with custom GSSAPI extension defined for NTLMSSP.

%package        help
Summary:        Documentation for gssntlmssp

%description    help
This package provides documentation for gssntlmssp.

%prep
%autosetup -n gssntlmssp-v0.7.0 -p1

%build
autoreconf -fiv
%configure \
    --with-wbclient \
    --disable-static \
    --disable-rpath

%make_build all

%install
%make_install
rm -f %{buildroot}%{_libdir}/gssntlmssp/gssntlmssp.la
install -d %{buildroot}%{_sysconfdir}/gss/mech.d
install -pm644 examples/mech.ntlmssp %{buildroot}%{_sysconfdir}/gss/mech.d/ntlmssp.conf
%{find_lang} gssntlmssp

%check
make test_gssntlmssp

%files -f gssntlmssp.lang
%config(noreplace) %{_sysconfdir}/gss/mech.d/ntlmssp.conf
%{_libdir}/gssntlmssp/
%doc COPYING

%files devel
%{_includedir}/gssapi/gssapi_ntlmssp.h

%files help
%{_mandir}/man8/gssntlmssp.8*

%changelog
* Mon Nov 21 2022 xu_ping <xuping33@h-partners.com> - 0.7.0-9
- DESC:Modify invalid source

* Tue Feb 25 2020 fengbing <fengbing7@huawei.com> - 0.7.0-8
- DESC:Package init
